Name: rubrica
Version: 1.0.12
Release: alt1.1

Summary: An address book for Gnome 2
License: GPL
Group: Office
Url: http://digilander.libero.it/nfragale/

Source: %url/download/%name/%name-%version.tar.bz2

%define gtk_ver 2.4.4

Requires: libgtk+2 >= %gtk_ver
Requires: python = %__python_version

BuildPreReq: libgtk+2-devel >= %gtk_ver

# Automatically added by buildreq on Thu Jul 15 2004 (-bi)
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel libxslt-devel pkgconfig python-base python-modules-compiler python-modules-encodings rpm-build-python zlib-devel

%description
Rubrica is an address book for Gnome 2.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_menudir
cat << __MENU__ > %buildroot%_menudir/%name
?package(%name): needs="x11" section="Office/AddressBooks" \
title="Rubrica" longtitle="An address book for Gnome 2" \
command="%_bindir/%name" icon="rubrica/rub.png"
__MENU__

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc README ChangeLog AUTHORS NEWS TODO doc/examples.rub

%changelog
* Thu Jul 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.12-alt1.1
- rebuild to update python dependencies.

* Fri Jun 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.12-alt1
- new version.
- move to Office/AddressBooks in menu (close #4420)

* Sat Feb 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.11-alt1
- new version.

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.10-alt1
- 1.0.10

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Tue Jun 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Sat May 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Fri Mar 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- First buiild for Sisyphus.

